Create or update Scorecard
curl --request POST \
--url https://api.getcortexapp.com/api/v1/scorecards/descriptor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/yaml;charset=UTF-8' \
--data '"<string>"'import requests
url = "https://api.getcortexapp.com/api/v1/scorecards/descriptor"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/yaml;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/yaml;charset=UTF-8'
},
body: JSON.stringify('<string>')
};
fetch('https://api.getcortexapp.com/api/v1/scorecards/descriptor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"scorecard": {
"dateCreated": "2023-11-07T05:31:56Z",
"exemptions": {
"autoApprove": false,
"enabled": true
},
"isDraft": true,
"lastUpdated": "2023-11-07T05:31:56Z",
"name": "Production Readiness Scorecard",
"notifications": {
"enabled": true,
"scoreDropNotificationsEnabled": true
},
"rules": [
{
"expression": "custom(\"key\") = \"value\"",
"description": "This rule is very important because you must pass it",
"effectiveFrom": "2024-01-01T00:00:00Z",
"failureMessage": "To fix this rule, visit [our internal doc][docs.cortex.io]",
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
},
"identifier": "96db03f1-2529-3fc3-9f13-7fb4dd28f427",
"levelName": "<string>",
"title": "Key value must be correct",
"weight": 123
}
],
"tag": "production-readiness-scorecard",
"description": "<string>",
"evaluation": {
"window": 4
},
"filter": {
"groups": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
},
"query": "<string>",
"types": {
"exclude": [
"<string>"
],
"include": [
"<string>"
]
}
},
"levels": [
{
"level": {
"name": "Bronze",
"number": 123
}
}
]
}
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Create or update Scorecard
Create or update a Scorecard using the descriptor YAML. The operation is determined by the existence of a Scorecard with the same tag as passed in the descriptor.
POST
/
api
/
v1
/
scorecards
/
descriptor
Create or update Scorecard
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
When true, this endpoint only validates the descriptor contents and returns any errors or warnings.
Body
application/yaml;charset=UTF-8
Raw text of the YAML
See an example of a yaml file for scorecards here
The body is of type string.
Response
Created Scorecard
Show child attributes
Show child attributes
Last modified on September 24, 2026